umbrello: Php::PHPImportVisitor Class Reference

umbrello 2.34.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Public Attributes | List of all members
Php::PHPImportVisitor Class Reference
Inheritance diagram for Php::PHPImportVisitor:

## Public Member Functions
| PHPImportVisitor (TokenStream *str, const QString &content=QString())
void | setFileName (const QString &fileName)
QString | tokenValue (AstNode *node)
QString | tokenValue (const KDevPG::ListNode< Php::NamespacedIdentifierAst * > *node)
void | visitStart (StartAst *node)
void | visitSimpleNamespaceDeclarationStatement (NamespaceDeclarationStatementAst *node)
void | visitStapledNamespaceDeclarationStatement (NamespaceDeclarationStatementAst *node)
void | visitNamespaceDeclarationStatement (NamespaceDeclarationStatementAst *node)
void | visitUseNamespace (UseNamespaceAst *node)
void | visitClassVariable (ClassVariableAst *node)
void | visitClassStatement (ClassStatementAst *node)
void | visitClassExtends (ClassExtendsAst *node)
void | visitClassImplements (ClassImplementsAst *node)
void | visitInterfaceDeclarationStatement (InterfaceDeclarationStatementAst *node)
void | visitClassDeclarationStatement (ClassDeclarationStatementAst *node)
void | visitFunctionDeclarationStatement (FunctionDeclarationStatementAst *node)
void | _printToken (AstNode *node, const QString &mType, const QString &mName=QString())

## Public Attributes
TokenStream * | m_str
QString | m_content
int | m_indent
QVector< QPointer< UMLPackage > > | m_currentNamespace
QList< QPointer< UMLClassifier > > | m_usingClasses
QStringList | m_currentScope
QString | m_fileName
int | m_nsCnt

## Detailed Description

Derived visitor class

## Constructor & Destructor Documentation

## ◆ PHPImportVisitor()

Php::PHPImportVisitor::PHPImportVisitor | ( | TokenStream * | str,
|  | const QString & | content = `QString()`
| ) |  |
| inline

## Member Function Documentation

## ◆ _printToken()

void Php::PHPImportVisitor::_printToken | ( | AstNode * | node,
|  | const QString & | mType,
|  | const QString & | mName = `QString()`
| ) |  |
| inline

## ◆ setFileName()

void Php::PHPImportVisitor::setFileName | ( | const QString & | fileName | ) |
| inline

## ◆ tokenValue() [1/2]

QString Php::PHPImportVisitor::tokenValue | ( | AstNode * | node | ) |
| inline

## ◆ tokenValue() [2/2]

QString Php::PHPImportVisitor::tokenValue | ( | const KDevPG::ListNode< Php::NamespacedIdentifierAst * > * | node | ) |
| inline

## ◆ visitClassDeclarationStatement()

void Php::PHPImportVisitor::visitClassDeclarationStatement | ( | ClassDeclarationStatementAst * | node | ) |
| inline

## ◆ visitClassExtends()

void Php::PHPImportVisitor::visitClassExtends | ( | ClassExtendsAst * | node | ) |
| inline

## ◆ visitClassImplements()

void Php::PHPImportVisitor::visitClassImplements | ( | ClassImplementsAst * | node | ) |
| inline

## ◆ visitClassStatement()

void Php::PHPImportVisitor::visitClassStatement | ( | ClassStatementAst * | node | ) |
| inline

## ◆ visitClassVariable()

void Php::PHPImportVisitor::visitClassVariable | ( | ClassVariableAst * | node | ) |
| inline

## ◆ visitFunctionDeclarationStatement()

void Php::PHPImportVisitor::visitFunctionDeclarationStatement | ( | FunctionDeclarationStatementAst * | node | ) |
| inline

## ◆ visitInterfaceDeclarationStatement()

void Php::PHPImportVisitor::visitInterfaceDeclarationStatement | ( | InterfaceDeclarationStatementAst * | node | ) |
| inline

## ◆ visitNamespaceDeclarationStatement()

void Php::PHPImportVisitor::visitNamespaceDeclarationStatement | ( | NamespaceDeclarationStatementAst * | node | ) |
| inline

## ◆ visitSimpleNamespaceDeclarationStatement()

void Php::PHPImportVisitor::visitSimpleNamespaceDeclarationStatement | ( | NamespaceDeclarationStatementAst * | node | ) |
| inline

## ◆ visitStapledNamespaceDeclarationStatement()

void Php::PHPImportVisitor::visitStapledNamespaceDeclarationStatement | ( | NamespaceDeclarationStatementAst * | node | ) |
| inline

## ◆ visitStart()

void Php::PHPImportVisitor::visitStart | ( | StartAst * | node | ) |
| inline

## ◆ visitUseNamespace()

void Php::PHPImportVisitor::visitUseNamespace | ( | UseNamespaceAst * | node | ) |
| inline

## Member Data Documentation

## ◆ m_content

QString Php::PHPImportVisitor::m_content

## ◆ m_currentNamespace

QVector<QPointer<UMLPackage> > Php::PHPImportVisitor::m_currentNamespace

## ◆ m_currentScope

QStringList Php::PHPImportVisitor::m_currentScope

## ◆ m_fileName

QString Php::PHPImportVisitor::m_fileName

## ◆ m_indent

int Php::PHPImportVisitor::m_indent

## ◆ m_nsCnt

int Php::PHPImportVisitor::m_nsCnt

## ◆ m_str

TokenStream* Php::PHPImportVisitor::m_str

## ◆ m_usingClasses

QList<QPointer<UMLClassifier> > Php::PHPImportVisitor::m_usingClasses

The documentation for this class was generated from the following file:

- umbrello/codeimport/phpimport.cpp